Package org.springframework.security.web.authentication.preauth.websphere

# Class WebSpherePreAuthenticatedProcessingFilter

java.lang.Object
org.springframework.web.filter.GenericFilterBean
org.springframework.security.web.authentication.preauth.AbstractPreAuthenticatedProcessingFilter
org.springframework.security.web.authentication.preauth.websphere.WebSpherePreAuthenticatedProcessingFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationEventPublisherAware`, `org.springframework.context.EnvironmentAware`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.web.context.ServletContextAware`

public class WebSpherePreAuthenticatedProcessingFilter extends AbstractPreAuthenticatedProcessingFilter
This AbstractPreAuthenticatedProcessingFilter implementation is based on WebSphere authentication. It will use the WebSphere RunAs user principal name as the pre-authenticated principal.

Since:
  2.0

## Field Summary

### Fields inherited from class org.springframework.web.filter.GenericFilterBean

`logger`

## Constructor Summary

Constructors
Constructor
Description
`WebSpherePreAuthenticatedProcessingFilter()`
Public constructor which overrides the default AuthenticationDetails class to be used.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getPreAuthenticatedCredentials(jakarta.servlet.http.HttpServletRequest httpRequest)`
For J2EE container-based authentication there is no generic way to retrieve the credentials, as such this method returns a fixed dummy value.
`protected Object`
`getPreAuthenticatedPrincipal(jakarta.servlet.http.HttpServletRequest httpRequest)`
Return the WebSphere user name.

### Methods inherited from class org.springframework.security.web.authentication.preauth.AbstractPreAuthenticatedProcessingFilter

`afterPropertiesSet, doFilter, getAuthenticationDetailsSource, principalChanged, setApplicationEventPublisher, setAuthenticationDetailsSource, setAuthenticationFailureHandler, setAuthenticationManager, setAuthenticationSuccessHandler, setCheckForPrincipalChanges, setContinueFilterChainOnUnsuccessfulAuthentication, setInvalidateSessionOnPrincipalChange, setRequiresAuthenticationRequestMatcher, setSecurityContextHolderStrategy, setSecurityContextRepository, successfulAuthentication, unsuccessfulAuthentication`

### Methods inherited from class org.springframework.web.filter.GenericFilterBean

`addRequiredProperty, createEnvironment, destroy, getEnvironment, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, initFilterBean, setBeanName, setEnvironment, setServletContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebSpherePreAuthenticatedProcessingFilter

public WebSpherePreAuthenticatedProcessingFilter()
Public constructor which overrides the default AuthenticationDetails class to be used.

## Method Details

### getPreAuthenticatedPrincipal

protected Object getPreAuthenticatedPrincipal(jakarta.servlet.http.HttpServletRequest httpRequest)
Return the WebSphere user name.

Specified by:
  `getPreAuthenticatedPrincipal` in class `AbstractPreAuthenticatedProcessingFilter`

### getPreAuthenticatedCredentials

protected Object getPreAuthenticatedCredentials(jakarta.servlet.http.HttpServletRequest httpRequest)
For J2EE container-based authentication there is no generic way to retrieve the credentials, as such this method returns a fixed dummy value.

Specified by:
  `getPreAuthenticatedCredentials` in class `AbstractPreAuthenticatedProcessingFilter`